javax.xml.stream

## Interface EventFilter

-     public interface EventFilter

  This interface declares a simple filter interface that one can create to filter XMLEventReaders
  Since:
    1.6

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(XMLEvent event)` Tests whether this event is part of this stream.

- - ### Method Detail

    - #### accept

          boolean accept(XMLEvent event)

      Tests whether this event is part of this stream. This method will return true if this filter accepts this event and false otherwise.
      Parameters:
        `event` - the event to test
      Returns:
        true if this filter accepts this event, false otherwise

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2019, Oracle and/or its affiliates. All rights reserved.